# -*- coding: utf-8 -*-
from sqlalchemy import String, Column, Integer,DateTime,Text,Date,Time,ForeignKey
from geoalchemy2.types  import Geometry
from database import Base
from sqlalchemy.orm import relationship
from datetime import datetime


from sqlalchemy import JSON

class TpZjGeoJSONData(Base):
    __tablename__ = 'tp_geojson_data_zj'
    id = Column(Integer, primary_key=True, autoincrement=True)
    name = Column(String(255))
    geometry = Column(Geometry('GEOMETRY', srid=4326))
    properties = Column(JSON)  # 使用JSON类型存储properties


class TpCjSqGeoJSONData(Base):
    __tablename__ = 'tp_geojson_data_cj_sq'
    id = Column(Integer, primary_key=True, autoincrement=True)
    name = Column(String(255))
    geometry = Column(Geometry('GEOMETRY', srid=4326))
    properties = Column(JSON)  # 使用JSON类型存储properties