#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from fastapi import APIRouter, Request, Depends

from . import back
from . import addressbook
from . import me
from . import msg_center

router = APIRouter()

router.include_router(back.router, prefix="/back", tags=["增删改"])
router.include_router(addressbook.router, prefix="/addressbook", tags=["通信录"])
router.include_router(me.router, prefix="/me")
router.include_router(msg_center.router, prefix="/msg_center", tags=["消息中心"])