from models import *

def get_video_tag_list(db,video_code:str):
    query = db.query(TpVideoTag)
    query = query.filter(TpVideoTag.del_flag != '2')
    query = query.filter(TpVideoTag.video_code == video_code)
    query = query.order_by(TpVideoTag.video_code)
    return query.all()

def tag_get_video_tag_list(db,dict_value:str):
    query = db.query(TpVideoTag)
    query = query.filter(TpVideoTag.del_flag != '2')
    query = query.filter(TpVideoTag.dict_value == dict_value)
    query = query.order_by(TpVideoTag.video_code)
    return query.all()

def unitIndexCode_get_video_region_info(db,unitIndexCode:str):
    query = db.query(TPVideoRegion)
    query = query.filter(TPVideoRegion.indexCode == unitIndexCode)
    return query.first()

def unitName_get_video_region_info(db,name:str):
    query = db.query(TPVideoRegion)
    query = query.filter(TPVideoRegion.name == name)
    return query.first()